Страница продукта каталога выдает ошибку 500 после обновления с 1.7.3 до 1.7.6

Страница продукта каталога выдает ошибку 500 после обновления с 1.7.3 до 1.7.6

10.10.2019 12:19:38 Просмотров 45 Источник

Я не могу получить доступ к странице Каталога продуктов или редактировать любые продукты после обновления с 1.7.3.1 до 1.7.6.1

Это дает мне две фатальные ошибки php.

Первое исключение: Twig\Error\RuntimeError

в src / PrestaShopBundle / Resources / views/Admin / layout.формат html.прутик (строка 34)

    layoutHeaderToolbarBtn is defined ? layoutHeaderToolbarBtn : [],

    layoutDisplayType is defined ? layoutDisplayType : '',

    showContentHeader is defined ? showContentHeader : true,

    headerTabContent is defined ? headerTabContent : '',

    enableSidebar is defined ? enableSidebar : false,

Line 34  help_link is defined ? help_link : ''

  )

  )) %}

{% import '@PrestaShop/Admin/macros.html.twig' as ps %}

Второе исключение: Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException

in vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Container.php (line 348)

            if ($lev <= \strlen($id) / 3 || false !== strpos($knownId, $id)) {

                $alternatives[] = $knownId;

            }

        }

        throw new ServiceNotFoundException($id, null, null, $alternatives);

    }[enter image description here][1]

}

/**

 * Returns true if the given service has actually been initialized.

Крест размещен здесь https://www.prestashop.com/forums/topic/1003821-catalog-product-page-gives-error-500-after-upgrade-from-173-to-176/

Скриншот ошибки

У вопроса есть решение - Посмотреть?

https://stackoverflow.com/questions/58319511/catalog-product-page-gives-error-500-after-upgrade-from-1-7-3-to-1-7-6#comment102999749_58319511
попробуйте удалить все файлы в /var / cache / dev и в /var / cache / prod также удалите /app/cache/dev и / app / cache / prod
https://stackoverflow.com/questions/58319511/catalog-product-page-gives-error-500-after-upgrade-from-1-7-3-to-1-7-6#comment103001909_58319511
Здравствуйте, я уже пробовал это без удачи, см. Мой ответ ниже.

Ответы - Страница продукта каталога выдает ошибку 500 после обновления с 1.7.3 до 1.7.6 / Catalog product page gives error 500 after upgrade from 1.7.3 to 1.7.6

Является ответом!
Morten H

10.10.2019 02:11:33

Оказывается, что модуль сопутствующих товаров не был обновлен. Это модуль, купленный на рынке. Я проверил совместимость, и он сказал, что он совместим с 1.7.6.1, поэтому по этой причине, в сочетании с моим бэк-офисом, сообщающим мне, что у меня есть 0 доступных обновлений и что модуль обновлен, я предположил, что все хорошо.

Но, по-видимому, модули, купленные на рынке,не имеют своих обновлений в prestashop. 

Я Исправлена проблема, при удалении модуля сопутствующие товары и скачивания самую новую версию 1.6.3 1.6.4, а не из магазина для PrestaShop.

Закрыть X